commit:     983a9b60bad69bcb73798940e7573f2c94ff8b2c
Author:     Maciej Barć <xgqt <AT> gentoo <DOT> org>
AuthorDate: Mon Dec  1 19:02:07 2025 +0000
Commit:     Maciej Barć <xgqt <AT> gentoo <DOT> org>
CommitDate: Mon Dec  1 19:17:09 2025 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=983a9b60

app-arch/dtrx: bump to 8.7.1

Signed-off-by: Maciej Barć <xgqt <AT> gentoo.org>

 app-arch/dtrx/Manifest          |  1 +
 app-arch/dtrx/dtrx-8.7.1.ebuild | 49 +++++++++++++++++++++++++++++++++++++++++
 2 files changed, 50 insertions(+)

diff --git a/app-arch/dtrx/Manifest b/app-arch/dtrx/Manifest
index c9239caae92d..d1e23f25cf4c 100644
--- a/app-arch/dtrx/Manifest
+++ b/app-arch/dtrx/Manifest
@@ -1,2 +1,3 @@
 DIST dtrx-8.5.3.tar.gz 34147 BLAKE2B 
156d2305f777b63870490736fd769a9d480f390d41ac0aa6acac16d4c5b21bb5b3f88d7b2cea6ecbf74511895bb3c3d923a6186d5189ebf3f7a5f4bb5db6c0f1
 SHA512 
0c29f0d9ca03d11206297669c20c3443c420db4aa0d91da54a5f6ac7236120af04a1a8d7e2e4f85b3d7e6c6050786cc0293bab02f424fe3be52a40f069d397be
 DIST dtrx-8.7.0.tar.gz 31644 BLAKE2B 
d256d7c2d933ad028386b50f1e4f6f6a9f0d262355527aed9281ebacb4ef4e7d1e64dbc77f83fb78ac4a3885d8801a86987a76f8c00a37a8cf41ee81a49f2f67
 SHA512 
88e011f6ec15ad1e41fc2e5cd6238fcd7d6debabb89925372f4b0635613eb27c98f8441d5545c0fd03fb52e1eb24ecc8f510810fcec1a02f74a8134a1b11b3ad
+DIST dtrx-8.7.1.tar.gz 31768 BLAKE2B 
f93bafbf7c73190c0aab0482246c7598b3e9e0459a4eae5ca30419ff937e26de57f649358f7d4702b61bd6ed606c5d1fd13083d56852fd0b6d7bd265972730a6
 SHA512 
96e4ae4b2ec345910e8ab3bf03c4029394728d765c2298d04db976eb45f5ab6f46e84cabee3b54d85327e88edbbf4920797e74c0630eb4c3e846827a55614a96

diff --git a/app-arch/dtrx/dtrx-8.7.1.ebuild b/app-arch/dtrx/dtrx-8.7.1.ebuild
new file mode 100644
index 000000000000..7611b77488e2
--- /dev/null
+++ b/app-arch/dtrx/dtrx-8.7.1.ebuild
@@ -0,0 +1,49 @@
+# Copyright 1999-2025 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517="setuptools"
+PYTHON_COMPAT=( python3_{12..14} )
+
+inherit distutils-r1 optfeature
+
+DESCRIPTION="Do The Right eXtraction - extracts archives of different formats"
+HOMEPAGE="https://github.com/dtrx-py/dtrx/
+       https://pypi.org/project/dtrx/";
+
+if [[ "${PV}" == *9999* ]] ; then
+       inherit git-r3
+
+       EGIT_REPO_URI="https://github.com/${PN}-py/${PN}";
+else
+       inherit pypi
+
+       KEYWORDS="~amd64 ~arm ~arm64 ~riscv ~x86"
+fi
+
+LICENSE="GPL-3+"
+SLOT="0"
+
+DOCS=( README.md )
+
+src_prepare() {
+       if [[ -f setup.cfg ]] ; then
+               sed -e '/ *platform==/s|.*||' -i setup.cfg || die "sed failed"  
# bug #894148
+       fi
+
+       distutils-r1_src_prepare
+}
+
+pkg_postinst() {
+       local -a supported_formats=(
+               arj bzip2 cpio gzip lrzip lzip p7zip rpm unrar unzip xz-utils
+               zip zstd
+       )
+       local supported_format=""
+       for supported_format in "${supported_formats[@]}" ; do
+               optfeature \
+                       "extraction of supported archives using 
${supported_format}" \
+                       "app-arch/${supported_format}"
+       done
+}

Reply via email to